Package org.eclipse.e4.ui.css.core.resources

# Interface IResourcesRegistry

All Known Implementing Classes:
  `AbstractResourcesRegistry`, `SWTResourcesRegistry`

public interface IResourcesRegistry
Interface Resources Registry to cache Resources and dispose it if need.

Version:
  1.0.0
Author:
  Angelo ZERR

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Dispose all resources stored into cache.
`Object`
`getResource(Object type, Object key)`
Return resource type of `type` stored into cache with `key`.
`void`
`registerResource(Object type, Object key, Object resource)`
Register into cache the resource `resource` type of `type` with key `key`.
`void`
`unregisterResource(Object type, Object key)`
Unregister from cache the resource `resource` type of `type` with key `key`.

## Method Details

### getResource

Object getResource(Object type, Object key)
Return resource type of `type` stored into cache with `key`.

Parameters:
  `type` - Resource type like Font, Color, Cursor, Image

### registerResource

void registerResource(Object type, Object key, Object resource)
Register into cache the resource `resource` type of `type` with key `key`.

Parameters:
  `type` - Resource type like Font, Color, Cursor, Image

### unregisterResource

void unregisterResource(Object type, Object key)
Unregister from cache the resource `resource` type of `type` with key `key`.

### dispose

void dispose()
Dispose all resources stored into cache.